Package ch.qos.logback.core.joran.event

# Class SaxEventRecorder

java.lang.Object
org.xml.sax.helpers.DefaultHandler
ch.qos.logback.core.joran.event.SaxEventRecorder

All Implemented Interfaces:
  `ContextAware`, `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class SaxEventRecorder extends DefaultHandler implements ContextAware

## Field Summary

Fields
Modifier and Type
Field
Description
`List<SaxEvent>`
`saxEventList`

## Constructor Summary

Constructors
Constructor
Description
`SaxEventRecorder(Context context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addError(String msg)`
`void`
`addError(String msg, Throwable ex)`
`void`
`addInfo(String msg)`
`void`
`addInfo(String msg, Throwable ex)`
`void`
`addStatus(Status status)`
`void`
`addWarn(String msg)`
`void`
`addWarn(String msg, Throwable ex)`
`void`
`characters(char[] ch, int start, int length)`
`void`
`endElement(String namespaceURI, String localName, String qName)`
`void`
`error(SAXParseException spe)`
`void`
`fatalError(SAXParseException spe)`
`Context`
`getContext()`
`Locator`
`getLocator()`
`List<SaxEvent>`
`getSaxEventList()`
`final void`
`recordEvents(InputStream inputStream)`
`List<SaxEvent>`
`recordEvents(InputSource inputSource)`
`void`
`setContext(Context context)`
`void`
`setDocumentLocator(Locator l)`
`void`
`startDocument()`
`void`
`startElement(String namespaceURI, String localName, String qName, Attributes atts)`
`void`
`warning(SAXParseException spe)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Field Details

### saxEventList

public List<SaxEvent> saxEventList

## Constructor Details

### SaxEventRecorder

public SaxEventRecorder(Context context)

## Method Details

### recordEvents

public final void recordEvents(InputStream inputStream) throws JoranException

Throws:
  `JoranException`

### recordEvents

public List<SaxEvent> recordEvents(InputSource inputSource) throws JoranException

Throws:
  `JoranException`

### startDocument

public void startDocument()

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`

### getLocator

public Locator getLocator()

### setDocumentLocator

public void setDocumentLocator(Locator l)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`
Overrides:
  `setDocumentLocator` in class `DefaultHandler`

### startElement

public void startElement(String namespaceURI, String localName, String qName, Attributes atts)

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`

### characters

public void characters(char[] ch, int start, int length)

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`

### endElement

public void endElement(String namespaceURI, String localName, String qName)

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`

### error

public void error(SAXParseException spe) throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`
Throws:
  `SAXException`

### fatalError

public void fatalError(SAXParseException spe) throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Overrides:
  `fatalError` in class `DefaultHandler`
Throws:
  `SAXException`

### warning

public void warning(SAXParseException spe) throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Overrides:
  `warning` in class `DefaultHandler`
Throws:
  `SAXException`

### addError

public void addError(String msg)

Specified by:
  `addError` in interface `ContextAware`

### addError

public void addError(String msg, Throwable ex)

Specified by:
  `addError` in interface `ContextAware`

### addInfo

public void addInfo(String msg)

Specified by:
  `addInfo` in interface `ContextAware`

### addInfo

public void addInfo(String msg, Throwable ex)

Specified by:
  `addInfo` in interface `ContextAware`

### addStatus

public void addStatus(Status status)

Specified by:
  `addStatus` in interface `ContextAware`

### addWarn

public void addWarn(String msg)

Specified by:
  `addWarn` in interface `ContextAware`

### addWarn

public void addWarn(String msg, Throwable ex)

Specified by:
  `addWarn` in interface `ContextAware`

### getContext

public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`

### setContext

public void setContext(Context context)

Specified by:
  `setContext` in interface `ContextAware`

### getSaxEventList

public List<SaxEvent> getSaxEventList()